### Method

# EBackend Backend ensure_source_status_connected

since: 3.18

#### Declaration [src]

    void
    e_backend_ensure_source_status_connected (
      EBackend* backend
    )

#### Description [src]

Makes sure that the associated ESource::connection-status is connected. This is useful in cases when the backend can connect to the destination without invoking `EBackendClass`.authenticate_sync(), possibly through e_backend_schedule_authenticate().

Available since: 3.18